Inline-dialog breaks with "styled-components": "^4.4.1",

Hi

I’ve noticed that the inline-dialog component breaks with styled-components "^4.4.1. The content is not visible anymore (opacity set to 0).

It still works with “styled-components”: “^3.2.6”,

To reproduce:

In package.json, set “styled-components”: "^4.4.1

Code sandbox:

The break occurs exactly between Styled Components version:

Hi,
At the moment Atlaskit depends on sc 3.x
Afaik Atlaskit team’s planning to move to single css in js soluntion. After that decision Is made, everything should be migrated to that solution. Its tracked here https://ecosystem.atlassian.net/browse/DS-6836

1 Like